libximc: control_settings_t Struct Reference

libximc 3.0.2

Data Fields
control_settings_t Struct Reference

Control settings. More...

`#include <ximc.h>`

## Data Fields
unsigned int | MaxSpeed [10]
| Array of speeds (full step) used with the joystick and the button control.
unsigned int | uMaxSpeed [10]
| Array of speeds (in microsteps) used with the joystick and the button control.
unsigned int | Timeout [9]
| Timeout[i] is timeout in ms.
unsigned int | MaxClickTime
| Maximum click time (in ms).
unsigned int | Flags
| Control flags.
int | DeltaPosition
| Position Shift (delta) (full step)
int | uDeltaPosition
| Fractional part of the shift in micro steps.

## Detailed Description

Control settings.

This structure contains control parameters.

In case of CTL_MODE=1, the joystick motor control is enabled. In this mode, while the joystick is maximally displaced, the engine tends to move at MaxSpeed[i]. i=0 if another value hasn't been set at the previous usage. To change the speed index "i", use the buttons.

In case of CTL_MODE=2, the motor is controlled by the left/right buttons. When you click on the button, the motor starts moving in the appropriate direction at a speed MaxSpeed[0]. After Timeout[i], motor moves at speed MaxSpeed[i+1]. At the transition between MaxSpeed[i] and MaxSpeed[i+1] the motor just accelerates/decelerates as usual.

See also
  set_control_settings
  get_control_settings
  get_control_settings, set_control_settings

## Field Documentation

## ◆ Flags

unsigned int Flags

Control flags.

## ◆ MaxClickTime

unsigned int MaxClickTime

Maximum click time (in ms).

Until the expiration of this time, the first speed isn't applied.

## ◆ MaxSpeed

unsigned int MaxSpeed[10]

Array of speeds (full step) used with the joystick and the button control.

Range: 0..100000.

## ◆ Timeout

unsigned int Timeout[9]

Timeout[i] is timeout in ms.

After that, max_speed[i+1] is applied. It's used with the button control only.

## ◆ uDeltaPosition

int uDeltaPosition

Fractional part of the shift in micro steps.

It's used with a stepper motor only. The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings).

## ◆ uMaxSpeed

unsigned int uMaxSpeed[10]

Array of speeds (in microsteps) used with the joystick and the button control.

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings).